Skip to main content
DELETE
/
projects
/
{id}
/
folders
/
{folderId}
Detach a folder from a project
curl --request DELETE \
  --url https://app.gc.ai/api/external/v1/projects/{id}/folders/{folderId} \
  --header 'Authorization: <api-key>'
import requests

url = "https://app.gc.ai/api/external/v1/projects/{id}/folders/{folderId}"

headers = {"Authorization": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};

fetch('https://app.gc.ai/api/external/v1/projects/{id}/folders/{folderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "error": "<string>",
  "code": "<string>",
  "message": "<string>",
  "details": {}
}
{
"error": "<string>",
"code": "<string>",
"message": "<string>",
"details": {}
}
{
"error": "<string>",
"code": "<string>",
"message": "<string>",
"details": {}
}
{
"error": "<string>",
"code": "<string>",
"message": "<string>",
"details": {}
}
{
"error": "<string>",
"code": "<string>",
"message": "<string>",
"details": {}
}
{
"error": "<string>",
"code": "<string>",
"message": "<string>",
"details": {}
}

Authorizations

Authorization
string
header
required

API key for authentication. Format: gcai_xxxxxxxxx

Create API keys in the GC AI app under Settings → API.

Path Parameters

id
string<uuid>
required

The project ID

folderId
string<uuid>
required

The folder ID

Response

Folder detached (idempotent, repeat calls are no-ops)